## org.jfree.report.modules.gui.swing.common
Class WindowSizeLimiter

    java.lang.Object
      java.awt.event.ComponentAdapter
          org.jfree.report.modules.gui.swing.common.WindowSizeLimiter

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.util.EventListener

    public class WindowSizeLimiter

extends java.awt.event.ComponentAdapter

A small helper class to limit the maximum size of an element to the elements maximum size. If the element is resized, the defined maximum size is enforced on the element.

Author:
  Thomas Morgner

Constructor Summary
`WindowSizeLimiter()` Default-Constructor.

Method Summary
`void` `componentResized(java.awt.event.ComponentEvent e)` Invoked when the component's size changes.

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowSizeLimiter

    public WindowSizeLimiter()

  Default-Constructor.

Method Detail

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Invoked when the component's size changes.

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`
  Overrides:
    `componentResized` in class `java.awt.event.ComponentAdapter`
  Parameters:
    `e` - the event.